package ru.yandex.wmtools.common.data.info;

import java.net.URL;
import java.util.Set;

/**
 * @author avhaliullin
 */
public class OAuthInfo {
    private final Long uid;
    private final String clientName;
    private final URL clientIcon;
    private final String clientId;
    private final Set<OAuthScope> scope;
    private final URL clientHomepage;

    public OAuthInfo(long uid, String clientName, URL clientIcon, String clientId, Set<OAuthScope> scope, URL clientHomepage) {
        this.uid = uid;
        this.clientName = clientName;
        this.clientIcon = clientIcon;
        this.clientId = clientId;
        this.scope = scope;
        this.clientHomepage = clientHomepage;
    }

    public long getUid() {
        return uid;
    }

    public String getClientName() {
        return clientName;
    }

    public URL getClientIcon() {
        return clientIcon;
    }

    public String getClientId() {
        return clientId;
    }

    public Set<OAuthScope> getScope() {
        return scope;
    }

    public URL getClientHomepage() {
        return clientHomepage;
    }
}
